Subject: Re: .git/info/refs

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 01 Feb 2007 08:16:12 -0800

Johannes Schindelin wrote:
> Hi,
> 
> I just had another idea: why not generate the content of the "cover page" 
> in a cron job, every minute or so, and save it into a static index.html? 
> This should take quite a load from the server, since not even Perl has to 
> be started to serve that page.
> 

Ehm... because it often takes longer than that to generate the page?

We can pre-generate the page before the first hit, but that's not a 
replacement for update-time caching.

	-hpa